All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
SubC
Arithmetic Operations

Subtracts a constant value from each pixel of an image. More...

## Functions

NppStatus | nppiSubC_8u_C1RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_C1RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_C1IRSfs_Ctx (const Npp8u nConstant, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_C1IRSfs (const Npp8u nConstant, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_C3RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_C3RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_C3IRSfs_Ctx (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel 8-bit unsigned char in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_C3IRSfs (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_AC4RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel with unmodified alpha image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_AC4RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_AC4IRSfs_Ctx (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_AC4IRSfs (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_C4RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_C4RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_8u_C4IRSfs_Ctx (const Npp8u aConstants[4], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_8u_C4IRSfs (const Npp8u aConstants[4], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_C1RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u nConstant, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_C1RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u nConstant, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_C1IRSfs_Ctx (const Npp16u nConstant, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_C1IRSfs (const Npp16u nConstant, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_C3RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_C3RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_C3IRSfs_Ctx (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_C3IRSfs (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_AC4RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel with unmodified alpha image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_AC4RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_AC4IRSfs_Ctx (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_AC4IRSfs (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_C4RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_C4RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16u_C4IRSfs_Ctx (const Npp16u aConstants[4], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16u_C4IRSfs (const Npp16u aConstants[4], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_C1RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s nConstant, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_C1RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s nConstant, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_C1IRSfs_Ctx (const Npp16s nConstant, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_C1IRSfs (const Npp16s nConstant, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_C3RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s aConstants[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_C3RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s aConstants[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_C3IRSfs_Ctx (const Npp16s aConstants[3], Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_C3IRSfs (const Npp16s aConstants[3], Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_AC4RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s aConstants[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel with unmodified alpha image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_AC4RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s aConstants[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_AC4IRSfs_Ctx (const Npp16s aConstants[3], Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_AC4IRSfs (const Npp16s aConstants[3], Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_C4RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s aConstants[4], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_C4RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s aConstants[4], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16s_C4IRSfs_Ctx (const Npp16s aConstants[4], Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16s_C4IRSfs (const Npp16s aConstants[4], Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16sc_C1RSfs_Ctx (const Npp16sc *pSrc1, int nSrc1Step, const Npp16sc nConstant, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16sc_C1RSfs (const Npp16sc *pSrc1, int nSrc1Step, const Npp16sc nConstant, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16sc_C1IRSfs_Ctx (const Npp16sc nConstant, Npp16sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16sc_C1IRSfs (const Npp16sc nConstant, Npp16sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16sc_C3RSfs_Ctx (const Npp16sc *pSrc1, int nSrc1Step, const Npp16sc aConstants[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16sc_C3RSfs (const Npp16sc *pSrc1, int nSrc1Step, const Npp16sc aConstants[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16sc_C3IRSfs_Ctx (const Npp16sc aConstants[3], Npp16sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16sc_C3IRSfs (const Npp16sc aConstants[3], Npp16sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16sc_AC4RSfs_Ctx (const Npp16sc *pSrc1, int nSrc1Step, const Npp16sc aConstants[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel with unmodified alpha image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16sc_AC4RSfs (const Npp16sc *pSrc1, int nSrc1Step, const Npp16sc aConstants[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16sc_AC4IRSfs_Ctx (const Npp16sc aConstants[3], Npp16sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_16sc_AC4IRSfs (const Npp16sc aConstants[3], Npp16sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32s_C1RSfs_Ctx (const Npp32s *pSrc1, int nSrc1Step, const Npp32s nConstant, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 32-bit signed integer channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32s_C1RSfs (const Npp32s *pSrc1, int nSrc1Step, const Npp32s nConstant, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32s_C1IRSfs_Ctx (const Npp32s nConstant, Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 32-bit signed integer channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32s_C1IRSfs (const Npp32s nConstant, Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32s_C3RSfs_Ctx (const Npp32s *pSrc1, int nSrc1Step, const Npp32s aConstants[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 32-bit signed integer channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32s_C3RSfs (const Npp32s *pSrc1, int nSrc1Step, const Npp32s aConstants[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32s_C3IRSfs_Ctx (const Npp32s aConstants[3], Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 32-bit signed integer channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32s_C3IRSfs (const Npp32s aConstants[3], Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32sc_C1RSfs_Ctx (const Npp32sc *pSrc1, int nSrc1Step, const Npp32sc nConstant, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32sc_C1RSfs (const Npp32sc *pSrc1, int nSrc1Step, const Npp32sc nConstant, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32sc_C1IRSfs_Ctx (const Npp32sc nConstant, Npp32sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32sc_C1IRSfs (const Npp32sc nConstant, Npp32sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32sc_C3RSfs_Ctx (const Npp32sc *pSrc1, int nSrc1Step, const Npp32sc aConstants[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32sc_C3RSfs (const Npp32sc *pSrc1, int nSrc1Step, const Npp32sc aConstants[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32sc_C3IRSfs_Ctx (const Npp32sc aConstants[3], Npp32sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32sc_C3IRSfs (const Npp32sc aConstants[3], Npp32sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32sc_AC4RSfs_Ctx (const Npp32sc *pSrc1, int nSrc1Step, const Npp32sc aConstants[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel with unmodified alpha image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32sc_AC4RSfs (const Npp32sc *pSrc1, int nSrc1Step, const Npp32sc aConstants[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_32sc_AC4IRSfs_Ctx (const Npp32sc aConstants[3], Npp32sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value. More...
NppStatus | nppiSubC_32sc_AC4IRSfs (const Npp32sc aConstants[3], Npp32sc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSubC_16f_C1R_Ctx (const Npp16f *pSrc1, int nSrc1Step, const Npp32f nConstant, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel image subtract constant. More...
NppStatus | nppiSubC_16f_C1R (const Npp16f *pSrc1, int nSrc1Step, const Npp32f nConstant, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_16f_C1IR_Ctx (const Npp32f nConstant, Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel in place image subtract constant. More...
NppStatus | nppiSubC_16f_C1IR (const Npp32f nConstant, Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_16f_C3R_Ctx (const Npp16f *pSrc1, int nSrc1Step, const Npp32f aConstants[3], Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit floating point channel image subtract constant. More...
NppStatus | nppiSubC_16f_C3R (const Npp16f *pSrc1, int nSrc1Step, const Npp32f aConstants[3], Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_16f_C3IR_Ctx (const Npp32f aConstants[3], Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit floating point channel in place image subtract constant. More...
NppStatus | nppiSubC_16f_C3IR (const Npp32f aConstants[3], Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_16f_C4R_Ctx (const Npp16f *pSrc1, int nSrc1Step, const Npp32f aConstants[4], Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit floating point channel image subtract constant. More...
NppStatus | nppiSubC_16f_C4R (const Npp16f *pSrc1, int nSrc1Step, const Npp32f aConstants[4], Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_16f_C4IR_Ctx (const Npp32f aConstants[4], Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit floating point channel in place image subtract constant. More...
NppStatus | nppiSubC_16f_C4IR (const Npp32f aConstants[4], Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_C1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f nConstant, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel image subtract constant. More...
NppStatus | nppiSubC_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f nConstant, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_C1IR_Ctx (const Npp32f nConstant, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel in place image subtract constant. More...
NppStatus | nppiSubC_32f_C1IR (const Npp32f nConstant, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_C3R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f aConstants[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit floating point channel image subtract constant. More...
NppStatus | nppiSubC_32f_C3R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f aConstants[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_C3IR_Ctx (const Npp32f aConstants[3], Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit floating point channel in place image subtract constant. More...
NppStatus | nppiSubC_32f_C3IR (const Npp32f aConstants[3], Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_AC4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f aConstants[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel with unmodified alpha image subtract constant. More...
NppStatus | nppiSubC_32f_AC4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f aConstants[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_AC4IR_Ctx (const Npp32f aConstants[3], Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel with unmodified alpha in place image subtract constant. More...
NppStatus | nppiSubC_32f_AC4IR (const Npp32f aConstants[3], Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_C4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f aConstants[4], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel image subtract constant. More...
NppStatus | nppiSubC_32f_C4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f aConstants[4], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32f_C4IR_Ctx (const Npp32f aConstants[4], Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel in place image subtract constant. More...
NppStatus | nppiSubC_32f_C4IR (const Npp32f aConstants[4], Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_C1R_Ctx (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc nConstant, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel image subtract constant. More...
NppStatus | nppiSubC_32fc_C1R (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc nConstant, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_C1IR_Ctx (const Npp32fc nConstant, Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel in place image subtract constant. More...
NppStatus | nppiSubC_32fc_C1IR (const Npp32fc nConstant, Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_C3R_Ctx (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc aConstants[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel image subtract constant. More...
NppStatus | nppiSubC_32fc_C3R (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc aConstants[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_C3IR_Ctx (const Npp32fc aConstants[3], Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel in place image subtract constant. More...
NppStatus | nppiSubC_32fc_C3IR (const Npp32fc aConstants[3], Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_AC4R_Ctx (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc aConstants[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel with unmodified alpha image subtract constant. More...
NppStatus | nppiSubC_32fc_AC4R (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc aConstants[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_AC4IR_Ctx (const Npp32fc aConstants[3], Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel with unmodified alpha in place image subtract constant. More...
NppStatus | nppiSubC_32fc_AC4IR (const Npp32fc aConstants[3], Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_C4R_Ctx (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc aConstants[4], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel image subtract constant. More...
NppStatus | nppiSubC_32fc_C4R (const Npp32fc *pSrc1, int nSrc1Step, const Npp32fc aConstants[4], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSubC_32fc_C4IR_Ctx (const Npp32fc aConstants[4], Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel in place image subtract constant. More...
NppStatus | nppiSubC_32fc_C4IR (const Npp32fc aConstants[4], Npp32fc *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Subtracts a constant value from each pixel of an image.

## Function Documentation

NppStatus nppiSubC_16f_C1IR | ( | const Npp32f | nConstant,
|  | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_16f_C1IR_Ctx | ( | const Npp32f | nConstant,
|  | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel in place image subtract constant.

Parameters

  nConstant | 32-bit floating point constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16f_C1R | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | nConstant,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_16f_C1R_Ctx | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | nConstant,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | 32-bit floating point constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16f_C3IR | ( | const Npp32f | aConstants[3],
|  | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_16f_C3IR_Ctx | ( | const Npp32f | aConstants[3],
|  | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit floating point channel in place image subtract constant.

Parameters

  aConstants | fixed size array of 32-bit floating point constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16f_C3R | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[3],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_16f_C3R_Ctx | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[3],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit floating point channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of 32-bit floating point constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16f_C4IR | ( | const Npp32f | aConstants[4],
|  | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_16f_C4IR_Ctx | ( | const Npp32f | aConstants[4],
|  | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit floating point channel in place image subtract constant.

Parameters

  aConstants | fixed size array of 32-bit floating point constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16f_C4R | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[4],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_16f_C4R_Ctx | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[4],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit floating point channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of 32-bit floating point constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_AC4IRSfs | ( | const Npp16s | aConstants[3],
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_AC4IRSfs_Ctx | ( | const Npp16s | aConstants[3],
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_AC4RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | aConstants[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_AC4RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | aConstants[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel with unmodified alpha image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_C1IRSfs | ( | const Npp16s | nConstant,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_C1IRSfs_Ctx | ( | const Npp16s | nConstant,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_C1RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | nConstant,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_C1RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | nConstant,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_C3IRSfs | ( | const Npp16s | aConstants[3],
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_C3IRSfs_Ctx | ( | const Npp16s | aConstants[3],
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_C3RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | aConstants[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_C3RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | aConstants[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_C4IRSfs | ( | const Npp16s | aConstants[4],
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_C4IRSfs_Ctx | ( | const Npp16s | aConstants[4],
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16s_C4RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | aConstants[4],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16s_C4RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s | aConstants[4],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16sc_AC4IRSfs | ( | const Npp16sc | aConstants[3],
|  | Npp16sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16sc_AC4IRSfs_Ctx | ( | const Npp16sc | aConstants[3],
|  | Npp16sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16sc_AC4RSfs | ( | const Npp16sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16sc | aConstants[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16sc_AC4RSfs_Ctx | ( | const Npp16sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16sc | aConstants[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel with unmodified alpha image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16sc_C1IRSfs | ( | const Npp16sc | nConstant,
|  | Npp16sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16sc_C1IRSfs_Ctx | ( | const Npp16sc | nConstant,
|  | Npp16sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16sc_C1RSfs | ( | const Npp16sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16sc | nConstant,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16sc_C1RSfs_Ctx | ( | const Npp16sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16sc | nConstant,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16sc_C3IRSfs | ( | const Npp16sc | aConstants[3],
|  | Npp16sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16sc_C3IRSfs_Ctx | ( | const Npp16sc | aConstants[3],
|  | Npp16sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16sc_C3RSfs | ( | const Npp16sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16sc | aConstants[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16sc_C3RSfs_Ctx | ( | const Npp16sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16sc | aConstants[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short complex number (16-bit real, 16-bit imaginary) channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_AC4IRSfs | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_AC4IRSfs_Ctx | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_AC4RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_AC4RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel with unmodified alpha image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_C1IRSfs | ( | const Npp16u | nConstant,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_C1IRSfs_Ctx | ( | const Npp16u | nConstant,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_C1RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | nConstant,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_C1RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | nConstant,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_C3IRSfs | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_C3IRSfs_Ctx | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_C3RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_C3RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_C4IRSfs | ( | const Npp16u | aConstants[4],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_C4IRSfs_Ctx | ( | const Npp16u | aConstants[4],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_16u_C4RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_16u_C4RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_AC4IR | ( | const Npp32f | aConstants[3],
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_AC4IR_Ctx | ( | const Npp32f | aConstants[3],
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel with unmodified alpha in place image subtract constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_AC4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_AC4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel with unmodified alpha image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_C1IR | ( | const Npp32f | nConstant,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_C1IR_Ctx | ( | const Npp32f | nConstant,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel in place image subtract constant.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | nConstant,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_C1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | nConstant,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_C3IR | ( | const Npp32f | aConstants[3],
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_C3IR_Ctx | ( | const Npp32f | aConstants[3],
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit floating point channel in place image subtract constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_C3R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_C3R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit floating point channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_C4IR | ( | const Npp32f | aConstants[4],
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_C4IR_Ctx | ( | const Npp32f | aConstants[4],
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel in place image subtract constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32f_C4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[4],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32f_C4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f | aConstants[4],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_AC4IR | ( | const Npp32fc | aConstants[3],
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_AC4IR_Ctx | ( | const Npp32fc | aConstants[3],
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel with unmodified alpha in place image subtract constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_AC4R | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | aConstants[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_AC4R_Ctx | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | aConstants[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel with unmodified alpha image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_C1IR | ( | const Npp32fc | nConstant,
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_C1IR_Ctx | ( | const Npp32fc | nConstant,
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel in place image subtract constant.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_C1R | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | nConstant,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_C1R_Ctx | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | nConstant,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_C3IR | ( | const Npp32fc | aConstants[3],
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_C3IR_Ctx | ( | const Npp32fc | aConstants[3],
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel in place image subtract constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_C3R | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | aConstants[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_C3R_Ctx | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | aConstants[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_C4IR | ( | const Npp32fc | aConstants[4],
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_C4IR_Ctx | ( | const Npp32fc | aConstants[4],
|  | Npp32fc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel in place image subtract constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32fc_C4R | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | aConstants[4],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSubC_32fc_C4R_Ctx | ( | const Npp32fc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32fc | aConstants[4],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit complex floating point (32-bit floating point real, 32-bit floating point imaginary) channel image subtract constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32s_C1IRSfs | ( | const Npp32s | nConstant,
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32s_C1IRSfs_Ctx | ( | const Npp32s | nConstant,
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit signed integer channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32s_C1RSfs | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s | nConstant,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32s_C1RSfs_Ctx | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s | nConstant,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit signed integer channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32s_C3IRSfs | ( | const Npp32s | aConstants[3],
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32s_C3IRSfs_Ctx | ( | const Npp32s | aConstants[3],
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit signed integer channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32s_C3RSfs | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s | aConstants[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32s_C3RSfs_Ctx | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s | aConstants[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit signed integer channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32sc_AC4IRSfs | ( | const Npp32sc | aConstants[3],
|  | Npp32sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32sc_AC4IRSfs_Ctx | ( | const Npp32sc | aConstants[3],
|  | Npp32sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32sc_AC4RSfs | ( | const Npp32sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32sc | aConstants[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32sc_AC4RSfs_Ctx | ( | const Npp32sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32sc | aConstants[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel with unmodified alpha image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32sc_C1IRSfs | ( | const Npp32sc | nConstant,
|  | Npp32sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32sc_C1IRSfs_Ctx | ( | const Npp32sc | nConstant,
|  | Npp32sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32sc_C1RSfs | ( | const Npp32sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32sc | nConstant,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32sc_C1RSfs_Ctx | ( | const Npp32sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32sc | nConstant,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32sc_C3IRSfs | ( | const Npp32sc | aConstants[3],
|  | Npp32sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32sc_C3IRSfs_Ctx | ( | const Npp32sc | aConstants[3],
|  | Npp32sc * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_32sc_C3RSfs | ( | const Npp32sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32sc | aConstants[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_32sc_C3RSfs_Ctx | ( | const Npp32sc * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32sc | aConstants[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit signed complex integer (32-bit real, 32-bit imaginary) channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_AC4IRSfs | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_AC4IRSfs_Ctx | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel with unmodified alpha in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_AC4RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_AC4RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel with unmodified alpha image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_C1IRSfs | ( | const Npp8u | nConstant,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_C1IRSfs_Ctx | ( | const Npp8u | nConstant,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_C1RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_C1RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_C3IRSfs | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_C3IRSfs_Ctx | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel 8-bit unsigned char in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_C3RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_C3RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_C4IRSfs | ( | const Npp8u | aConstants[4],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_C4IRSfs_Ctx | ( | const Npp8u | aConstants[4],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image subtract constant, scale, then clamp to saturated value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSubC_8u_C4RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSubC_8u_C4RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image subtract constant, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation